package com.rc.httpcore.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * info
 *
 * @author ReiChin_
 */
public class UserFingerVo extends UserVo implements Parcelable {

    public String id; // 指纹id
    public String finger; // 指纹
    public String fingerKey; // 指纹位置
    public String num; // 设备编号

    public UserFingerVo() {
    }

    protected UserFingerVo(Parcel in) {
        super(in);
        id = in.readString();
        finger = in.readString();
        fingerKey = in.readString();
        num = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        super.writeToParcel(dest, flags);
        dest.writeString(id);
        dest.writeString(finger);
        dest.writeString(fingerKey);
        dest.writeString(num);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<UserFingerVo> CREATOR = new Creator<UserFingerVo>() {
        @Override
        public UserFingerVo createFromParcel(Parcel in) {
            return new UserFingerVo(in);
        }

        @Override
        public UserFingerVo[] newArray(int size) {
            return new UserFingerVo[size];
        }
    };

}
